NetworkVm (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.network.datacenter

## Class NetworkVm

- java.lang.Object
- - org.cloudbus.cloudsim.Vm
  - - org.cloudbus.cloudsim.network.datacenter.NetworkVm

- All Implemented Interfaces:
    Comparable<Object>

      public class NetworkVm
      extends Vm
      implements Comparable<Object>

  NetworkVm class extends Vm to support simulation of networked datacenters. It executes actions related to management of packets (send and receive). Please refer to following publication for more details: Saurabh Kumar Garg and Rajkumar Buyya, NetworkCloudSim: Modelling Parallel Applications in Cloud Simulations, Proceedings of the 4th IEEE/ACM International Conference on Utility and Cloud Computing (UCC 2011, IEEE CS Press, USA), Melbourne, Australia, December 5-7, 2011.
  Since:
    CloudSim Toolkit 3.0
  Author:
    Saurabh Kumar Garg

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ArrayList<NetworkCloudlet>` | `cloudletlist`
    `double` | `finishtime`
    `boolean` | `flagfree`
    `double` | `memory`
    `ArrayList<HostPacket>` | `recvPktlist`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkVm(int id, int userId, double mips, int pesNumber, int ram, long bw, long size, String vmm, CloudletScheduler cloudletScheduler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Object arg0)`
    `boolean` | `isFree()`

    - ### Methods inherited from class org.cloudbus.cloudsim.Vm

      `addStateHistoryEntry, getBw, getCloudletScheduler, getCurrentAllocatedBw, getCurrentAllocatedMips, getCurrentAllocatedRam, getCurrentAllocatedSize, getCurrentRequestedBw, getCurrentRequestedMaxMips, getCurrentRequestedMips, getCurrentRequestedRam, getCurrentRequestedTotalMips, getHost, getId, getMaxMips, getMips, getNumberOfPes, getRam, getSize, getStateHistory, getTotalUtilizationOfCpu, getTotalUtilizationOfCpuMips, getUid, getUid, getUserId, getVmm, isBeingInstantiated, isInMigration, isSizeHasBeenModified, setBeingInstantiated, setBw, setCloudletScheduler, setCurrentAllocatedBw, setCurrentAllocatedMips, setCurrentAllocatedRam, setCurrentAllocatedSize, setHost, setId, setInMigration, setMips, setNumberOfPes, setRam, setSize, setSizeHasBeenModified, setUid, setUserId, setVmm, updateVmProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cloudletlist

          public ArrayList<NetworkCloudlet> cloudletlist

    - #### recvPktlist

          public ArrayList<HostPacket> recvPktlist

    - #### memory

          public double memory

    - #### flagfree

          public boolean flagfree

    - #### finishtime

          public double finishtime

  - ### Constructor Detail

    - #### NetworkVm

          public NetworkVm(int id,
                   int userId,
                   double mips,
                   int pesNumber,
                   int ram,
                   long bw,
                   long size,
                   String vmm,
                   CloudletScheduler cloudletScheduler)

  - ### Method Detail

    - #### isFree

          public boolean isFree()

    - #### compareTo

          public int compareTo(Object arg0)

      Specified by:
        `compareTo` in interface `Comparable<Object>`

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.